[Qa-jenkins-scm] Build failed in Jenkins: reproducible_openwrt #242

jenkins at jenkins.debian.net jenkins at jenkins.debian.net
Wed Jul 18 08:42:05 BST 2018


See <https://jenkins.debian.net/job/reproducible_openwrt/242/display/redirect>

------------------------------------------
[...truncated 389.23 KB...]
+ cut -d ' ' -f2
+ echo ' </td></tr>'
+ for i in gcc binutils bzip2 flex python perl make findutils grep diffutils unzip gawk util-linux zlib1g-dev libc6-dev git subversion
+ echo ' <tr><td>git</td><td>'
+ dpkg -s git
+ grep '^Version'
+ cut -d ' ' -f2
+ echo ' </td></tr>'
+ for i in gcc binutils bzip2 flex python perl make findutils grep diffutils unzip gawk util-linux zlib1g-dev libc6-dev git subversion
+ echo ' <tr><td>subversion</td><td>'
+ dpkg -s subversion
+ grep '^Version'
+ cut -d ' ' -f2
/var/lib/jenkins
+ echo ' </td></tr>'
+ echo '</table>'
+ cd -
+ trap - INT TERM EXIT
+ exit 0
Wed Jul 18 07:41:29 UTC 2018 - /srv/jenkins/bin/reproducible_openwrt.sh stopped running as /tmp/jenkins-script-BCNP9wv1, which will now be removed.
+ ssh profitbricks-build4-amd64.debian.net reproducible_openwrt node node_save_logs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
====================================================================================

Tue Aug 20 14:04:34 UTC 2019 - running /srv/jenkins/bin/reproducible_openwrt.sh () on profitbricks-build4-amd64 now.

To learn to understand this, git clone https://salsa.debian.org/qa/jenkins.debian.net.git
and then have a look at the files README, INSTALL, CONTRIBUTING and maybe TODO.

This invocation of this script, which is located in bin/reproducible_openwrt.sh,
has been called using "node node_save_logs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr" as arguments.

Please send feedback about jenkins to qa-jenkins-dev at lists.alioth.debian.org,
or as a bug against the 'jenkins.debian.org' pseudo-package,
feedback about specific job results should go to their respective lists and/or the BTS.

====================================================================================
Tue Aug 20 14:04:34 UTC 2019 - start running "/srv/jenkins/bin/reproducible_openwrt.sh" (md5sum c9ff1514f5bc99fca8f382d41f3c7d55) as "/tmp/jenkins-script-Cmp5aGD8" on profitbricks-build4-amd64.

declare -x CHROOT_BASE="/chroots"
declare -x HOME="/var/lib/jenkins"
declare -x LANG="en_US.UTF-8"
declare -x LC_ALL="C.UTF-8"
declare -x LOGNAME="jenkins"
declare -x MAIL="/var/mail/jenkins"
declare -x MIRROR="http://deb.debian.org/debian"
declare -x OLDPWD
declare -x PATH="/usr/local/bin:/usr/bin:/bin:/usr/games"
declare -x PWD="/var/lib/jenkins"
declare -x SCHROOT_BASE="/schroots"
declare -x SCRIPT_HEADER="#!/bin/bash
	if true ; then
		set -x
	fi
	set -e
	export DEBIAN_FRONTEND=noninteractive
	export LC_ALL=C.UTF-8
	export http_proxy=http://localhost:3128
	export MIRROR=http://deb.debian.org/debian"
declare -x SHELL="/bin/bash"
declare -x SHLVL="3"
declare -x SSH_CLIENT="46.16.76.207 58984 22"
declare -x SSH_CONNECTION="46.16.76.207 58984 85.184.249.167 22"
declare -x SSH_ORIGINAL_COMMAND="reproducible_openwrt node node_save_logs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr"
declare -x USER="jenkins"
declare -x XDG_RUNTIME_DIR="/run/user/105"
declare -x XDG_SESSION_ID="92742"
declare -x http_proxy="http://localhost:3128"
+ set -e
+ . /srv/jenkins/bin/reproducible_common.sh
++ set +x
+ . /srv/jenkins/bin/reproducible_lede_common.sh
++ GENERIC_NODE1=profitbricks-build3-amd64.debian.net
++ GENERIC_NODE2=profitbricks-build4-amd64.debian.net
+ set -e
/tmp/jenkins-script-Cmp5aGD8 got called with 'node node_save_logs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr'
+ echo '/tmp/jenkins-script-Cmp5aGD8 got called with '\''node' node_save_logs '/srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr'\'''
+ case $1 in
+ shift
+ case $1 in
+ node_save_logs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
+ local tmpdir=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
+ '[' /srv/workspace/chroots/ '!=' /srv/workspace/chroots/ ']'
+ '[' 63 -le 23 ']'
+ '[' '!' -d /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr/build/source/logs ']'
+ touch /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr/build_logs.tar.xz
+ node_document_environment /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
+ local tmpdir=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
+ local toolchain_html=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr/toolchain.html
+ cd /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr/build/source
/srv/jenkins/bin/reproducible_lede_common.sh: line 81: cd: /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr/build/source: No such file or directory
Tue Aug 20 14:04:35 UTC 2019 - /srv/jenkins/bin/reproducible_openwrt.sh stopped running as /tmp/jenkins-script-Cmp5aGD8, which will now be removed.
+ true
+ mkdir -p <https://jenkins.debian.net/job/reproducible_openwrt/ws/results/>
+ rsync -av profitbricks-build3-amd64.debian.net:/build_logs.tar.xz <https://jenkins.debian.net/job/reproducible_openwrt/242/artifact/results/build_logs_b1.tar.xz>
jenkins_node_wrapper.sh[15775] Command 'rsync --server --sender -vlogDtpre.iLsfxC . /build_logs.tar.xz' not found in allowed commands.
rsync: connection unexpectedly closed (0 bytes received so far) [Receiver]
rsync error: error in rsync protocol data stream (code 12) at io.c(235) [Receiver=3.1.2]
+ true
+ rsync -av profitbricks-build4-amd64.debian.net:/build_logs.tar.xz <https://jenkins.debian.net/job/reproducible_openwrt/242/artifact/results/build_logs_b2.tar.xz>
jenkins_node_wrapper.sh[55321] Command 'rsync --server --sender -vlogDtpre.iLsfxC . /build_logs.tar.xz' not found in allowed commands.
rsync: connection unexpectedly closed (0 bytes received so far) [Receiver]
rsync error: error in rsync protocol data stream (code 12) at io.c(235) [Receiver=3.1.2]
+ true
+ ssh profitbricks-build3-amd64.debian.net reproducible_openwrt node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
====================================================================================

Wed Jul 18 07:41:31 UTC 2018 - running /srv/jenkins/bin/reproducible_openwrt.sh () on profitbricks-build3-amd64 now.

To learn to understand this, git clone https://salsa.debian.org/qa/jenkins.debian.net.git
and then have a look at the files README, INSTALL, CONTRIBUTING and maybe TODO.

This invocation of this script, which is located in bin/reproducible_openwrt.sh,
has been called using "node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr" as arguments.

Please send feedback about jenkins to qa-jenkins-dev at lists.alioth.debian.org,
or as a bug against the 'jenkins.debian.org' pseudo-package,
feedback about specific job results should go to their respective lists and/or the BTS.

====================================================================================
Wed Jul 18 07:41:31 UTC 2018 - start running "/srv/jenkins/bin/reproducible_openwrt.sh" (md5sum c9ff1514f5bc99fca8f382d41f3c7d55) as "/tmp/jenkins-script-7C16Gxay" on profitbricks-build3-amd64.

declare -x CHROOT_BASE="/chroots"
declare -x HOME="/var/lib/jenkins"
declare -x LANG="en_US.UTF-8"
declare -x LC_ALL="C.UTF-8"
declare -x LOGNAME="jenkins"
declare -x MAIL="/var/mail/jenkins"
declare -x MIRROR="http://deb.debian.org/debian"
declare -x OLDPWD
declare -x PATH="/usr/local/bin:/usr/bin:/bin:/usr/games"
declare -x PWD="/var/lib/jenkins"
declare -x SCHROOT_BASE="/schroots"
declare -x SCRIPT_HEADER="#!/bin/bash
	if true ; then
		set -x
	fi
	set -e
	export DEBIAN_FRONTEND=noninteractive
	export LC_ALL=C.UTF-8
	export http_proxy=http://localhost:3128
	export MIRROR=http://deb.debian.org/debian"
declare -x SHELL="/bin/bash"
declare -x SHLVL="3"
declare -x SSH_CLIENT="46.16.76.207 42450 22"
declare -x SSH_CONNECTION="46.16.76.207 42450 78.137.96.53 22"
declare -x SSH_ORIGINAL_COMMAND="reproducible_openwrt node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr"
declare -x USER="jenkins"
declare -x XDG_RUNTIME_DIR="/run/user/105"
declare -x XDG_SESSION_ID="88120"
declare -x http_proxy="http://localhost:3128"
+ set -e
+ . /srv/jenkins/bin/reproducible_common.sh
++ set +x
+ . /srv/jenkins/bin/reproducible_lede_common.sh
++ GENERIC_NODE1=profitbricks-build3-amd64.debian.net
++ GENERIC_NODE2=profitbricks-build4-amd64.debian.net
/tmp/jenkins-script-7C16Gxay got called with 'node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr'
+ set -e
+ echo '/tmp/jenkins-script-7C16Gxay got called with '\''node' node_cleanup_tmpdirs '/srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr'\'''
+ case $1 in
+ shift
+ case $1 in
+ node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
+ export TMPBUILDDIR=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
+ TMPBUILDDIR=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
+ cd
+ '[' /srv/workspace/chroots/ '!=' /srv/workspace/chroots/ ']'
+ '[' 63 -le 23 ']'
+ rm -rf /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
+ trap - INT TERM EXIT
+ exit 0
Wed Jul 18 07:42:03 UTC 2018 - /srv/jenkins/bin/reproducible_openwrt.sh stopped running as /tmp/jenkins-script-7C16Gxay, which will now be removed.
+ ssh profitbricks-build4-amd64.debian.net reproducible_openwrt node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
====================================================================================

Tue Aug 20 14:05:08 UTC 2019 - running /srv/jenkins/bin/reproducible_openwrt.sh () on profitbricks-build4-amd64 now.

To learn to understand this, git clone https://salsa.debian.org/qa/jenkins.debian.net.git
and then have a look at the files README, INSTALL, CONTRIBUTING and maybe TODO.

This invocation of this script, which is located in bin/reproducible_openwrt.sh,
has been called using "node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr" as arguments.

Please send feedback about jenkins to qa-jenkins-dev at lists.alioth.debian.org,
or as a bug against the 'jenkins.debian.org' pseudo-package,
feedback about specific job results should go to their respective lists and/or the BTS.

====================================================================================
Tue Aug 20 14:05:08 UTC 2019 - start running "/srv/jenkins/bin/reproducible_openwrt.sh" (md5sum c9ff1514f5bc99fca8f382d41f3c7d55) as "/tmp/jenkins-script-TwqXQpY7" on profitbricks-build4-amd64.

declare -x CHROOT_BASE="/chroots"
declare -x HOME="/var/lib/jenkins"
declare -x LANG="en_US.UTF-8"
declare -x LC_ALL="C.UTF-8"
declare -x LOGNAME="jenkins"
declare -x MAIL="/var/mail/jenkins"
declare -x MIRROR="http://deb.debian.org/debian"
declare -x OLDPWD
declare -x PATH="/usr/local/bin:/usr/bin:/bin:/usr/games"
declare -x PWD="/var/lib/jenkins"
declare -x SCHROOT_BASE="/schroots"
declare -x SCRIPT_HEADER="#!/bin/bash
	if true ; then
		set -x
	fi
	set -e
	export DEBIAN_FRONTEND=noninteractive
	export LC_ALL=C.UTF-8
	export http_proxy=http://localhost:3128
	export MIRROR=http://deb.debian.org/debian"
declare -x SHELL="/bin/bash"
declare -x SHLVL="3"
declare -x SSH_CLIENT="46.16.76.207 59172 22"
declare -x SSH_CONNECTION="46.16.76.207 59172 85.184.249.167 22"
declare -x SSH_ORIGINAL_COMMAND="reproducible_openwrt node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr"
declare -x USER="jenkins"
declare -x XDG_RUNTIME_DIR="/run/user/105"
declare -x XDG_SESSION_ID="92745"
declare -x http_proxy="http://localhost:3128"
+ set -e
+ . /srv/jenkins/bin/reproducible_common.sh
++ set +x
+ . /srv/jenkins/bin/reproducible_lede_common.sh
++ GENERIC_NODE1=profitbricks-build3-amd64.debian.net
++ GENERIC_NODE2=profitbricks-build4-amd64.debian.net
+ set -e
/tmp/jenkins-script-TwqXQpY7 got called with 'node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr'
+ echo '/tmp/jenkins-script-TwqXQpY7 got called with '\''node' node_cleanup_tmpdirs '/srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr'\'''
+ case $1 in
+ shift
+ case $1 in
+ node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
+ export TMPBUILDDIR=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
+ TMPBUILDDIR=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
+ cd
+ '[' /srv/workspace/chroots/ '!=' /srv/workspace/chroots/ ']'
+ '[' 63 -le 23 ']'
+ rm -rf /srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr
+ trap - INT TERM EXIT
+ exit 0
Tue Aug 20 14:05:09 UTC 2019 - /srv/jenkins/bin/reproducible_openwrt.sh stopped running as /tmp/jenkins-script-TwqXQpY7, which will now be removed.
+ cd
+ '[' '' '!=' /srv/reproducible-results/ ']'
+ echo 'Something very strange with $RESULTSDIR= or $TMPBUILDDIR=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr, exiting instead of doing cleanup.'
Something very strange with $RESULTSDIR= or $TMPBUILDDIR=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-17-pFiN89xr, exiting instead of doing cleanup.
+ exit 1
Wed 18 Jul 07:42:04 UTC 2018 - /srv/jenkins/bin/reproducible_openwrt.sh stopped running as /tmp/jenkins-script-eKUnC3EF, which will now be removed.
Build step 'Execute shell' marked build as failure
Archiving artifacts



More information about the Qa-jenkins-scm mailing list